
Core - Bug # 56105

Epic # 61834 (Accepted): Create future proof Content Element with strong default
Task # 61836 (Accepted): Reorganize Content Element properties within backend Extension
Task # 61842 (New): Refactor CSS-Styled-Content + Content Elements

Status: New Priority: Should have
Author: Christian Clemens Category: Content Rendering
Created: 2014-02-19 Assigned To:
Updated: 2014-09-27 Due date:
TYPO3 Version: 6.2
PHP Version:
Complexity:
Is Regression: No
Sprint Focus:
Subject: image position below: No margin-bottom if more than one image
Description

Tested with TYPO3 6.2beta4:

If I add a content element "text with image" with only one image (position: below), then a margin-bottom:10px is added to:

div.csc-textpic .csc-textpic-imagewrap .csc-textpic-image {margin-bottom: 10px;}

If I add a content element "text with image" with two images beside each other or below each other (again with position: below), then
there is no such margin-bottom. In the result, the text is directly below the images - see attached screenshot.

In TYPO3 4.5.32 the margin-bottom exists.

History
#1 - 2014-02-19 10:07 - Christian Clemens

I'm sorry: the title of this task is not correct, should be something like this "image position below: No margin-bottom if more than one image". Can't
change this...

#2 - 2014-09-24 12:48 - Felix Kopp
- Parent task set to #61842

#3 - 2014-09-24 12:48 - Felix Kopp
- Subject changed from No margin-bottom under last image to image position below: No margin-bottom if more than one image

#4 - 2014-09-27 00:22 - Frank Nägler

can reproduce this, the CSS set this explicit to margin-bottom: 0;
